# Uses of Interface
org.eclipse.equinox.p2.planner.IProfileChangeRequest

Packages that use IProfileChangeRequest
Package
Description
org.eclipse.equinox.p2.operations
Describes high level provisioning operations that can be resolved and performed either modally or in the background.
org.eclipse.equinox.p2.planner
Provides core support for interacting with a dependency resolution mechanism.

## Uses of IProfileChangeRequest in org.eclipse.equinox.p2.operations

Methods in org.eclipse.equinox.p2.operations that return IProfileChangeRequest
Modifier and Type
Method
Description
`IProfileChangeRequest`
Remedy.`getOriginalRequest()`
`IProfileChangeRequest`
ProfileChangeOperation.`getProfileChangeRequest()`
Return the profile change request that describes the receiver.
Constructors in org.eclipse.equinox.p2.operations with parameters of type IProfileChangeRequest
Modifier
Constructor
Description
``
`RemediationOperation(ProvisioningSession session, IProfileChangeRequest iProfileChangeRequest)`
``
`RemediationOperation(ProvisioningSession session, IProfileChangeRequest originalRequest, RemedyConfig[] remedyConfigs)`
``
`Remedy(IProfileChangeRequest originalRequest)`

## Uses of IProfileChangeRequest in org.eclipse.equinox.p2.planner

Methods in org.eclipse.equinox.p2.planner that return IProfileChangeRequest
Modifier and Type
Method
Description
`IProfileChangeRequest`
IPlanner.`createChangeRequest(IProfile profileToChange)`
Methods in org.eclipse.equinox.p2.planner with parameters of type IProfileChangeRequest
Modifier and Type
Method
Description
`IProvisioningPlan`
IPlanner.`getProvisioningPlan(IProfileChangeRequest profileChangeRequest, ProvisioningContext context, IProgressMonitor monitor)`
Returns a plan describing the set of changes that must be performed to satisfy the given profile change request.